Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network49.252.0.0/14
Usable hosts262,142
Subnet mask255.252.0.0
Addresses262,144
Network address
49.252.0.0
Broadcast address
49.255.255.255
First usable
49.252.0.1
Last usable
49.255.255.254
Usable hosts
262,142 (262,144 less the network and broadcast addresses)
Subnet mask
255.252.0.0
Wildcard mask
0.3.255.255 (Cisco ACLs, OSPF)
Prefix length
/14
Type
Public public
Old class
A (default /8)
As numbers
Hex 31FC0000 · Integer 838598656 to 838860799
Reverse DNS zones
252.49.in-addr.arpa
253.49.in-addr.arpa
254.49.in-addr.arpa
255.49.in-addr.arpa
/14 is not on a 8-bit boundary, so it takes 4 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00110001.11111100.00000000.0000000049.252.0.0
Subnet mask11111111.11111100.00000000.00000000255.252.0.0
Network00110001.11111100.00000000.0000000049.252.0.0
Broadcast00110001.11111111.11111111.1111111149.255.255.255
Split into smaller subnets/21

49.252.0.0/14 makes 128 subnets of /21.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
149.252.0.0/2149.252.0.1 to 49.252.7.25449.252.7.2552,046
249.252.8.0/2149.252.8.1 to 49.252.15.25449.252.15.2552,046
349.252.16.0/2149.252.16.1 to 49.252.23.25449.252.23.2552,046
449.252.24.0/2149.252.24.1 to 49.252.31.25449.252.31.2552,046
549.252.32.0/2149.252.32.1 to 49.252.39.25449.252.39.2552,046
649.252.40.0/2149.252.40.1 to 49.252.47.25449.252.47.2552,046
749.252.48.0/2149.252.48.1 to 49.252.55.25449.252.55.2552,046
849.252.56.0/2149.252.56.1 to 49.252.63.25449.252.63.2552,046
949.252.64.0/2149.252.64.1 to 49.252.71.25449.252.71.2552,046
1049.252.72.0/2149.252.72.1 to 49.252.79.25449.252.79.2552,046
1149.252.80.0/2149.252.80.1 to 49.252.87.25449.252.87.2552,046
1249.252.88.0/2149.252.88.1 to 49.252.95.25449.252.95.2552,046
1349.252.96.0/2149.252.96.1 to 49.252.103.25449.252.103.2552,046
1449.252.104.0/2149.252.104.1 to 49.252.111.25449.252.111.2552,046
1549.252.112.0/2149.252.112.1 to 49.252.119.25449.252.119.2552,046
1649.252.120.0/2149.252.120.1 to 49.252.127.25449.252.127.2552,046
1749.252.128.0/2149.252.128.1 to 49.252.135.25449.252.135.2552,046
1849.252.136.0/2149.252.136.1 to 49.252.143.25449.252.143.2552,046
1949.252.144.0/2149.252.144.1 to 49.252.151.25449.252.151.2552,046
2049.252.152.0/2149.252.152.1 to 49.252.159.25449.252.159.2552,046
2149.252.160.0/2149.252.160.1 to 49.252.167.25449.252.167.2552,046
2249.252.168.0/2149.252.168.1 to 49.252.175.25449.252.175.2552,046
2349.252.176.0/2149.252.176.1 to 49.252.183.25449.252.183.2552,046
2449.252.184.0/2149.252.184.1 to 49.252.191.25449.252.191.2552,046
2549.252.192.0/2149.252.192.1 to 49.252.199.25449.252.199.2552,046
2649.252.200.0/2149.252.200.1 to 49.252.207.25449.252.207.2552,046
2749.252.208.0/2149.252.208.1 to 49.252.215.25449.252.215.2552,046
2849.252.216.0/2149.252.216.1 to 49.252.223.25449.252.223.2552,046
2949.252.224.0/2149.252.224.1 to 49.252.231.25449.252.231.2552,046
3049.252.232.0/2149.252.232.1 to 49.252.239.25449.252.239.2552,046
3149.252.240.0/2149.252.240.1 to 49.252.247.25449.252.247.2552,046
3249.252.248.0/2149.252.248.1 to 49.252.255.25449.252.255.2552,046
3349.253.0.0/2149.253.0.1 to 49.253.7.25449.253.7.2552,046
3449.253.8.0/2149.253.8.1 to 49.253.15.25449.253.15.2552,046
3549.253.16.0/2149.253.16.1 to 49.253.23.25449.253.23.2552,046
3649.253.24.0/2149.253.24.1 to 49.253.31.25449.253.31.2552,046
3749.253.32.0/2149.253.32.1 to 49.253.39.25449.253.39.2552,046
3849.253.40.0/2149.253.40.1 to 49.253.47.25449.253.47.2552,046
3949.253.48.0/2149.253.48.1 to 49.253.55.25449.253.55.2552,046
4049.253.56.0/2149.253.56.1 to 49.253.63.25449.253.63.2552,046
4149.253.64.0/2149.253.64.1 to 49.253.71.25449.253.71.2552,046
4249.253.72.0/2149.253.72.1 to 49.253.79.25449.253.79.2552,046
4349.253.80.0/2149.253.80.1 to 49.253.87.25449.253.87.2552,046
4449.253.88.0/2149.253.88.1 to 49.253.95.25449.253.95.2552,046
4549.253.96.0/2149.253.96.1 to 49.253.103.25449.253.103.2552,046
4649.253.104.0/2149.253.104.1 to 49.253.111.25449.253.111.2552,046
4749.253.112.0/2149.253.112.1 to 49.253.119.25449.253.119.2552,046
4849.253.120.0/2149.253.120.1 to 49.253.127.25449.253.127.2552,046
4949.253.128.0/2149.253.128.1 to 49.253.135.25449.253.135.2552,046
5049.253.136.0/2149.253.136.1 to 49.253.143.25449.253.143.2552,046
5149.253.144.0/2149.253.144.1 to 49.253.151.25449.253.151.2552,046
5249.253.152.0/2149.253.152.1 to 49.253.159.25449.253.159.2552,046
5349.253.160.0/2149.253.160.1 to 49.253.167.25449.253.167.2552,046
5449.253.168.0/2149.253.168.1 to 49.253.175.25449.253.175.2552,046
5549.253.176.0/2149.253.176.1 to 49.253.183.25449.253.183.2552,046
5649.253.184.0/2149.253.184.1 to 49.253.191.25449.253.191.2552,046
5749.253.192.0/2149.253.192.1 to 49.253.199.25449.253.199.2552,046
5849.253.200.0/2149.253.200.1 to 49.253.207.25449.253.207.2552,046
5949.253.208.0/2149.253.208.1 to 49.253.215.25449.253.215.2552,046
6049.253.216.0/2149.253.216.1 to 49.253.223.25449.253.223.2552,046
6149.253.224.0/2149.253.224.1 to 49.253.231.25449.253.231.2552,046
6249.253.232.0/2149.253.232.1 to 49.253.239.25449.253.239.2552,046
6349.253.240.0/2149.253.240.1 to 49.253.247.25449.253.247.2552,046
6449.253.248.0/2149.253.248.1 to 49.253.255.25449.253.255.2552,046
6549.254.0.0/2149.254.0.1 to 49.254.7.25449.254.7.2552,046
6649.254.8.0/2149.254.8.1 to 49.254.15.25449.254.15.2552,046
6749.254.16.0/2149.254.16.1 to 49.254.23.25449.254.23.2552,046
6849.254.24.0/2149.254.24.1 to 49.254.31.25449.254.31.2552,046
6949.254.32.0/2149.254.32.1 to 49.254.39.25449.254.39.2552,046
7049.254.40.0/2149.254.40.1 to 49.254.47.25449.254.47.2552,046
7149.254.48.0/2149.254.48.1 to 49.254.55.25449.254.55.2552,046
7249.254.56.0/2149.254.56.1 to 49.254.63.25449.254.63.2552,046
7349.254.64.0/2149.254.64.1 to 49.254.71.25449.254.71.2552,046
7449.254.72.0/2149.254.72.1 to 49.254.79.25449.254.79.2552,046
7549.254.80.0/2149.254.80.1 to 49.254.87.25449.254.87.2552,046
7649.254.88.0/2149.254.88.1 to 49.254.95.25449.254.95.2552,046
7749.254.96.0/2149.254.96.1 to 49.254.103.25449.254.103.2552,046
7849.254.104.0/2149.254.104.1 to 49.254.111.25449.254.111.2552,046
7949.254.112.0/2149.254.112.1 to 49.254.119.25449.254.119.2552,046
8049.254.120.0/2149.254.120.1 to 49.254.127.25449.254.127.2552,046
8149.254.128.0/2149.254.128.1 to 49.254.135.25449.254.135.2552,046
8249.254.136.0/2149.254.136.1 to 49.254.143.25449.254.143.2552,046
8349.254.144.0/2149.254.144.1 to 49.254.151.25449.254.151.2552,046
8449.254.152.0/2149.254.152.1 to 49.254.159.25449.254.159.2552,046
8549.254.160.0/2149.254.160.1 to 49.254.167.25449.254.167.2552,046
8649.254.168.0/2149.254.168.1 to 49.254.175.25449.254.175.2552,046
8749.254.176.0/2149.254.176.1 to 49.254.183.25449.254.183.2552,046
8849.254.184.0/2149.254.184.1 to 49.254.191.25449.254.191.2552,046
8949.254.192.0/2149.254.192.1 to 49.254.199.25449.254.199.2552,046
9049.254.200.0/2149.254.200.1 to 49.254.207.25449.254.207.2552,046
9149.254.208.0/2149.254.208.1 to 49.254.215.25449.254.215.2552,046
9249.254.216.0/2149.254.216.1 to 49.254.223.25449.254.223.2552,046
9349.254.224.0/2149.254.224.1 to 49.254.231.25449.254.231.2552,046
9449.254.232.0/2149.254.232.1 to 49.254.239.25449.254.239.2552,046
9549.254.240.0/2149.254.240.1 to 49.254.247.25449.254.247.2552,046
9649.254.248.0/2149.254.248.1 to 49.254.255.25449.254.255.2552,046
9749.255.0.0/2149.255.0.1 to 49.255.7.25449.255.7.2552,046
9849.255.8.0/2149.255.8.1 to 49.255.15.25449.255.15.2552,046
9949.255.16.0/2149.255.16.1 to 49.255.23.25449.255.23.2552,046
10049.255.24.0/2149.255.24.1 to 49.255.31.25449.255.31.2552,046
10149.255.32.0/2149.255.32.1 to 49.255.39.25449.255.39.2552,046
10249.255.40.0/2149.255.40.1 to 49.255.47.25449.255.47.2552,046
10349.255.48.0/2149.255.48.1 to 49.255.55.25449.255.55.2552,046
10449.255.56.0/2149.255.56.1 to 49.255.63.25449.255.63.2552,046
10549.255.64.0/2149.255.64.1 to 49.255.71.25449.255.71.2552,046
10649.255.72.0/2149.255.72.1 to 49.255.79.25449.255.79.2552,046
10749.255.80.0/2149.255.80.1 to 49.255.87.25449.255.87.2552,046
10849.255.88.0/2149.255.88.1 to 49.255.95.25449.255.95.2552,046
10949.255.96.0/2149.255.96.1 to 49.255.103.25449.255.103.2552,046
11049.255.104.0/2149.255.104.1 to 49.255.111.25449.255.111.2552,046
11149.255.112.0/2149.255.112.1 to 49.255.119.25449.255.119.2552,046
11249.255.120.0/2149.255.120.1 to 49.255.127.25449.255.127.2552,046
11349.255.128.0/2149.255.128.1 to 49.255.135.25449.255.135.2552,046
11449.255.136.0/2149.255.136.1 to 49.255.143.25449.255.143.2552,046
11549.255.144.0/2149.255.144.1 to 49.255.151.25449.255.151.2552,046
11649.255.152.0/2149.255.152.1 to 49.255.159.25449.255.159.2552,046
11749.255.160.0/2149.255.160.1 to 49.255.167.25449.255.167.2552,046
11849.255.168.0/2149.255.168.1 to 49.255.175.25449.255.175.2552,046
11949.255.176.0/2149.255.176.1 to 49.255.183.25449.255.183.2552,046
12049.255.184.0/2149.255.184.1 to 49.255.191.25449.255.191.2552,046
12149.255.192.0/2149.255.192.1 to 49.255.199.25449.255.199.2552,046
12249.255.200.0/2149.255.200.1 to 49.255.207.25449.255.207.2552,046
12349.255.208.0/2149.255.208.1 to 49.255.215.25449.255.215.2552,046
12449.255.216.0/2149.255.216.1 to 49.255.223.25449.255.223.2552,046
12549.255.224.0/2149.255.224.1 to 49.255.231.25449.255.231.2552,046
12649.255.232.0/2149.255.232.1 to 49.255.239.25449.255.239.2552,046
12749.255.240.0/2149.255.240.1 to 49.255.247.25449.255.247.2552,046
12849.255.248.0/2149.255.248.1 to 49.255.255.25449.255.255.2552,046

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses